tmp.base.path=/tmp

# =============================================================================================================
# CLASE DE IMPLEMENTACION DE SOPORTE TRANSACTIONAL
# =============================================================================================================

#implementacion en memoria ------------------------------------------------------------------------------------
#dao.transaction.impl.class=com.izenpe.idazki.protocol.services.dao.DaoTransactionManagerInMemoryImpl
#files.db.base.path=/datos/firma/tmp

#implementacion en Base de datos ------------------------------------------------------------------------------
#dao.transaction.impl.class=com.izenpe.idazki.protocol.services.dao.DaoTransactionManagerRelationalDataBaseImpl
#relational.db.driver.class.name=oracle.jdbc.driver.OracleDriver
#relational.db.url=jdbc:oracle:thin:@ip:port:id
#relational.db.user=<user>
#relational.db.password=<password>
#relational.db.table.name=transactions
#relational.db.table.key.field=obj
#relational.db.table.status.field=status
#relational.db.table.obj.field=uuid
#files.db.base.path=/datos/firma/tmp

#implementacion en JNDI ---------------------------------------------------------------------------------------
dao.transaction.impl.class=com.izenpe.idazki.protocol.services.dao.DaoTransactionManagerJndiImpl
relational.db.jndi.name=s27b.s27DataSource
relational.db.table.name=transactions
relational.db.table.obj.field=obj
relational.db.table.status.field=status
relational.db.table.key.field=uuid
relational.db.table.expiration.field=expiration_date
files.db.base.path=/shareweblogic/firma/tmp

# =============================================================================================================
# SERVICIO REST
# =============================================================================================================
rest.server.compatible.max.version = 3.0
rest.server.compatible.min.version = 2.0
rest.server.last.version = 1.0

rest.server.transaction.expirationTimeInMinutes=10
rest.server.transaction.cleanTimeInMinutes=60

rest.server.transaction.cleanTimeInMinutesTempFiles=1500
rest.server.transaction.cleanTimeInMinutesTempDoc=10
rest.server.transaction.deleteTimeInMiliTempDoc=600000

# =============================================================================================================
# DEFINICION DEL CLIENTE
# =============================================================================================================
client.compatible.min.version = 2.1.0
client.compatible.max.version = 4.0
client.last.version = 2.2.1
client.repository.url = http://www.izenpe.com/s15-12020/es/contenidos/informacion/idazki_izenpe/es_def/index.shtml

#IZENPEDW-516
rest.server.transaction.temporizador.serverNameWithDelay=E20_PRO_WL122_IZENPE_APPS121
